package main

import (
	"backend/core"
	"backend/server"
	"backend/util"
	"os"

	"github.com/joho/godotenv"
)

func main() {
	err := godotenv.Load(".env")
	if err != nil {
		panic("Error loading .env file")
	}

	// Reading files
	util.Logformat(util.INFO, "Reading to folder '%s' (Recursively)...\n", os.Getenv("PHOTO_PATH"))
	picd := core.ListFiles(os.Getenv("PHOTO_PATH"))
	if picd == nil {
		panic("Could not gather any file.")
	}

	// Set Log Level
	util.SetLevel(util.NOLOG)

	// Rest API start on port
	server.Start(8085)
}
